using Decimation.Lib.Items;
using Terraria;
using Terraria.ID;
using Terraria.ModLoader;

namespace Decimation.Content.Items.Tools
{
    internal class GildedSickle : DecimationTool
    {
        protected override string ItemName => "The Gilded Sickle";
        protected override string ItemTooltip => "Allows the collection of hay from grass";
        protected override int MeleeDamages => 10;

        protected override void InitTool()
        {
            this.item.CloneDefaults(ItemID.Sickle);

            item.width = 16;
            item.height = 16;
            item.value = Item.buyPrice(0, 0, 1);
            this.item.knockBack = 5;
            item.useTime = 14;
            item.useAnimation = 14;
        }

        protected override ModRecipe GetRecipe()
        {
            ModRecipe recipe = GetNewModRecipe(this, 1, TileID.Anvils);

            recipe.AddIngredient(ItemID.Sickle);
            recipe.AddIngredient(ItemID.GoldBar, 5);
            recipe.AddIngredient(null, "SoulofTime", 10);

            return recipe;
        }
    }
}